> For the complete documentation index, see [llms.txt](https://docs.allnodes.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.allnodes.com/endpoints/node.md).

# Validator

## Get all validators

<mark style="color:blue;">`GET`</mark> `https://www.allnodes.com/api/v1/node`

This endpoint allows to get list of all your hosted validators.

#### Headers

| Name                                            | Type   | Description  |
| ----------------------------------------------- | ------ | ------------ |
| Authorization<mark style="color:red;">\*</mark> | string | Bearer TOKEN |

{% tabs %}
{% tab title="200 " %}

```
[
  {
    id: string;
    ip: string;
    name: string;
    currencySymbol: string;
    createdAt: string;
    payoutFrequencySeconds: number | null;
    apr: string | null;
    instance: {
      version: string;
      status: string;
      uptimeSeconds: number | null;
      lastSeenAt: string | null;
    };
    address: {
      collateralAddress: string;
      collateralHash: string;
      collateralIndex: number;
      payeeAddress: string;
      balanceAmount: number;
      rewardsEarned: number;
      lastRewardAt: string | null;
    };
    settings: {
      walletType: 'ledger' | 'trezor' | 'core' | null;
    };
  }
]
```

{% endtab %}
{% endtabs %}

## Get a validator

<mark style="color:blue;">`GET`</mark> `https://www.allnodes.com/api/v1/node/{id}`

This endpoint allows to get info about specific validator on your account.

#### Path Parameters

| Name                                 | Type   | Description                                                                                  |
| ------------------------------------ | ------ | -------------------------------------------------------------------------------------------- |
| id<mark style="color:red;">\*</mark> | string | Validator you want to get info about. ID can be extracted from the “Get all validators” call |

#### Headers

| Name                                            | Type   | Description  |
| ----------------------------------------------- | ------ | ------------ |
| Authorization<mark style="color:red;">\*</mark> | string | Bearer TOKEN |

{% tabs %}
{% tab title="200 " %}

```typescript
{
  id: string;
  ip: string;
  name: string;
  currencySymbol: string;
  createdAt: string;
  payoutFrequencySeconds: number | null;
  apr: string | null;
  instance: {
    version: string;
    status: string;
    uptimeSeconds: number | null;
    lastSeenAt: string | null;
  };
  address: {
    collateralAddress: string;
    collateralHash: string;
    collateralIndex: number;
    payeeAddress: string;
    balanceAmount: number;
    rewardsEarned: number;
    lastRewardAt: string | null;
  };
  settings: {
    walletType: 'ledger' | 'trezor' | 'core' | null;
  };
}
```

{% endtab %}

{% tab title="404 Validator not found" %}

```javascript
{
  "error": "NODE_NOT_FOUND"
}
```

{% endtab %}
{% endtabs %}

## Remove a validator

<mark style="color:red;">`DELETE`</mark> `https://www.allnodes.com/api/v1/node/{id}`

This endpoint allows you to remove validator from hosting.

#### Path Parameters

| Name                                 | Type   | Description                                                                          |
| ------------------------------------ | ------ | ------------------------------------------------------------------------------------ |
| id<mark style="color:red;">\*</mark> | string | Validator you want to remove. ID can be extracted from the “Get all validators” call |

#### Headers

| Name                                            | Type   | Description  |
| ----------------------------------------------- | ------ | ------------ |
| Authorization<mark style="color:red;">\*</mark> | string | Bearer TOKEN |

{% tabs %}
{% tab title="204 Validator successfully removed" %}

```
```

{% endtab %}

{% tab title="404 Example of error response" %}

```javascript
{
  "error": "NODE_NOT_FOUND"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.allnodes.com/endpoints/node.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
